
# Load Object Instances
0;0;0;SELECT vobj_id, vobj_ldsid_fk from var_object where vobj_name = ?
0;0;1;SELECT vobjstore_objectid_fk, vobjstore_confidence FROM var_object_store where vobjstore_varid_fk = ? order by vobjstore_sort

# Store Object Instances
0;1;0;SELECT vobj_id from var_object where vobj_name = ?
0;1;1;INSERT INTO var_object (vobj_ldsid_fk, vobj_name) VALUES (?, ?)
0;1;2;UPDATE var_object SET vobj_ldsid_fk = ? WHERE vobj_id = ?
0;1;3;DELETE FROM var_object_store where vobjstore_varid_fk = ?
0;1;4;INSERT INTO var_object_store (vobjstore_varid_fk, vobjstore_objectid_fk, vobjstore_sort) VALUES (?, ?, ?)

# Delete Object Instances
0;2;0;DELETE FROM var_object_store WHERE vobjstore_varid_fk IN (SELECT vobj_id FROM var_object WHERE vobj_name = ?)
0;2;1;DELETE FROM var_object where vobj_name = ?

# Clear Object Instances
0;3;0;truncate table var_object
0;3;1;truncate table var_object_store

# Names Object Instances
0;4;0;select distinct vobj_name, count(*) from var_object join var_object_store on (vobj_id = vobjstore_varid_fk) group by vobj_id


# Load Mapping Result
1;0;0;SELECT vmr_id, vmr_inputldsid_fk, vmr_outputldsid_fk FROM var_mapresult where vmr_name = ?
1;0;1;SELECT vmrstore_inputobjectid_fk, vmrstore_outputobjectid_fk, vmrstore_confidence, vmrstore_occurence, -1 FROM var_mapresult_store WHERE vmrstore_varid_fk = ? order by vmrstore_id

# Store Mapping Result
1;1;0;SELECT vmr_id FROM var_mapresult where vmr_name = ?
1;1;1;INSERT var_mapresult (vmr_inputldsid_fk, vmr_outputldsid_fk, vmr_name) VALUES (?, ?, ?)
1;1;2;UPDATE var_mapresult SET vmr_inputldsid_fk = ?, vmr_outputldsid_fk = ? WHERE vmr_id = ?
1;1;3;DELETE FROM var_mapresult_store WHERE vmrstore_varid_fk = ?
1;1;4;INSERT var_mapresult_store (vmrstore_varid_fk, vmrstore_inputobjectid_fk, vmrstore_outputobjectid_fk, vmrstore_confidence, vmrstore_occurence) VALUES (?, ?, ?, ?, ?)

# Delete Mapping Result
1;2;0;DELETE FROM var_mapresult_store WHERE vmrstore_varid_fk IN (SELECT vmr_id FROM var_mapresult WHERE vmr_name = ?)
1;2;1;DELETE FROM var_mapresult where vmr_name = ?

# Clear Mapping Result
1;3;0;truncate table var_mapresult
1;3;1;truncate table var_mapresult_store

# Names Mapping Result
1;4;0;select distinct vmr_name, count(*) from var_mapresult join var_mapresult_store on (vmr_id = vmrstore_varid_fk) group by vmr_id

# Load Aggregated Objects
2;0;0;SELECT vao_id, vao_objecttypeid_fk from var_aggregatedobject where vao_name = ?
2;0;1;SELECT vaostore_objectid_fk, ifnull(vaostore_samegroup, vaostore_objectid_fk), vaostore_ldsid_fk FROM var_aggregatedobject_store where vaostore_varid_fk = ? order by vaostore_sort

# Store Aggregated Objects
2;1;0;SELECT vao_id from var_aggregatedobject where vao_name = ?
2;1;1;INSERT INTO var_aggregatedobject (vao_objecttypeid_fk, vao_name) VALUES (?, ?)
2;1;2;UPDATE var_aggregatedobject SET vao_objecttypeid_fk = ? WHERE vao_id = ?
2;1;3;DELETE FROM var_aggregatedobject_store where vaostore_varid_fk = ?
2;1;4;INSERT INTO var_aggregatedobject_store (vaostore_varid_fk, vaostore_objectid_fk, vaostore_samegroup, vaostore_ldsid_fk, vaostore_sort) VALUES (?, ?, ?, ?, ?)

# Delete Aggregated Objects
2;2;0;DELETE FROM var_aggregatedobject_store WHERE vaostore_varid_fk IN (SELECT vao_id FROM var_aggregatedobject WHERE vao_name = ?)
2;2;1;DELETE FROM var_aggregatedobject where vao_name = ?

# Clear Aggregated Objects
2;3;0;truncate table var_aggregatedobject
2;3;1;truncate table var_aggregatedobject_store

# Names Aggregated Objects
2;4;0;select distinct vao_name, count(distinct vaostore_samegroup) from var_aggregatedobject join var_aggregatedobject_store on (vao_id = vaostore_varid_fk) where not (vao_name like '%#1') and not (vao_name like '%#2') group by vao_id

# Load Aggregated Mapping Results
3;0;0;SELECT vamr_id, l.vao_name, r.vao_name from var_aggregatedmappingresult join var_aggregatedobject l on (vamr_inputobjects_varid_fk = l.vao_id) join var_aggregatedobject r on (vamr_outputobjects_varid_fk = r.vao_id) where vamr_name = ?
3;0;1;SELECT vamrstore_inputsamegroup, vamrstore_outputsamegroup, vamrstore_confidence, vamrstore_occurence FROM var_aggregatedmappingresult_store where vamrstore_varid_fk = ? order by vamrstore_id

# Store Aggregated Mapping Results
3;1;0;SELECT vamr_id from var_aggregatedmappingresult where vamr_name = ?
3;1;1;INSERT INTO var_aggregatedmappingresult (vamr_inputobjects_varid_fk, vamr_outputobjects_varid_fk, vamr_name) VALUES (?, ?, ?)
3;1;2;UPDATE var_aggregatedmappingresult SET vamr_inputobjects_varid_fk = ?, vamr_outputobjects_varid_fk = ? WHERE vamr_id = ?
3;1;3;DELETE FROM var_aggregatedmappingresult_store where vamrstore_varid_fk = ?
3;1;4;INSERT INTO var_aggregatedmappingresult_store (vamrstore_varid_fk, vamrstore_inputsamegroup, vamrstore_outputsamegroup, vamrstore_confidence, vamrstore_occurence) VALUES (?, ?, ?, ?, ?)

# Delete Aggregated Mapping Results
3;2;0;DELETE FROM var_aggregatedmappingresult_store WHERE vamrstore_varid_fk IN (SELECT vamr_id FROM var_aggregatedmappingresult WHERE vamr_name = ?)
3;2;1;DELETE FROM var_aggregatedmappingresult where vamr_name = ?

# Clear Aggregated Mapping Results
3;3;0;truncate table var_aggregatedmappingresult
3;3;1;truncate table var_aggregatedmappingresult_store

# Names Aggregated Mapping Results
3;4;0;select distinct vamr_name, count(*) from var_aggregatedmappingresult join var_aggregatedmappingresult_store on (vamr_id = vamrstore_varid_fk) group by vamr_id


# Load String
4;0;0;SELECT vstr_value FROM var_string WHERE vstr_name = ?

# Store String
4;1;0;DELETE FROM var_string WHERE vstr_name = ?
4;1;1;INSERT INTO var_string (vstr_name, vstr_value) VALUES (?, ?)

# Delete String
4;2;0;DELETE FROM var_string WHERE vstr_name = ?

# Clear String
4;3;0;truncate table var_string

# Names String
4;4;0;select distinct vstr_name, 1 from var_string order by vstr_name

# Load Integer
5;0;0;SELECT vint_value FROM var_integer WHERE vint_name = ?

# Store Integer
5;1;0;DELETE FROM var_integer WHERE vint_name = ?
5;1;1;INSERT INTO var_integer (vint_name, vint_value) VALUES (?, ?)

# Delete Integer
5;2;0;DELETE FROM var_integer WHERE vint_name = ?

# Clear Integer
5;3;0;truncate table var_integer

# Names Integer
5;4;0;select distinct vint_name, 1 from var_integer order by vint_name

# Load Float
6;0;0;SELECT vfloat_value FROM var_float WHERE vfloat_name = ?

# Store Float
6;1;0;DELETE FROM var_float WHERE vfloat_name = ?
6;1;1;INSERT INTO var_float (vfloat_name, vfloat_value) VALUES (?, ?)

# Delete Float
6;2;0;DELETE FROM var_float WHERE vfloat_name = ?

# Clear Float
6;3;0;truncate table var_float

# Names Float
6;4;0;select distinct vfloat_name, 1 from var_float order by vfloat_name




